package de.jottyfan.camporganizer.module.business.outlay.model;

import java.io.Serializable;

/**
 *
 * @author jotty
 *
 */
public class CampBean implements Serializable {

	private static final long serialVersionUID = 1L;

	private final Integer id;
	private String campname;

	private CampBean(Integer id) {
		super();
		this.id = id;
	}

	public static final CampBean of(Integer id) {
		return new CampBean(id);
	}

	public CampBean withCampname(String campname) {
		this.campname = campname;
		return this;
	}

	/**
	 * @return the campname
	 */
	public String getCampname() {
		return campname;
	}

	/**
	 * @param campname the campname to set
	 */
	public void setCampname(String campname) {
		this.campname = campname;
	}

	/**
	 * @return the id
	 */
	public Integer getId() {
		return id;
	}
}
